myfaces-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Martin Marinschek (JIRA)" <...@myfaces.apache.org>
Subject [jira] Commented: (MYFACES-1406) Core and Shared project has dependency on myfaces:myfaces-api version 1.1.1
Date Wed, 20 Sep 2006 21:25:25 GMT
    [ http://issues.apache.org/jira/browse/MYFACES-1406?page=comments#action_12436355 ] 
            
Martin Marinschek commented on MYFACES-1406:
--------------------------------------------

Hmm...

we'd need a dependency from core-impl to shared and from both core-impl and shared to core-api.
Is this not possible?

regards,

Martin

> Core and Shared project has dependency on myfaces:myfaces-api version 1.1.1
> ---------------------------------------------------------------------------
>
>                 Key: MYFACES-1406
>                 URL: http://issues.apache.org/jira/browse/MYFACES-1406
>             Project: MyFaces Core
>          Issue Type: Bug
>          Components: build process
>    Affects Versions: 1.1.5-SNAPSHOT
>            Reporter: Paul Spencer
>         Attachments: patch-to-core.txt, patch-to-shared.txt
>
>
> Core and Shared project has dependency on myfaces:myfaces-api version 1.1.1.  Their are
2 problems here:
> 1) The dependency group is myfaces instead of org.apache.myfaces.core
> 2) The version number is wrong.
> In many places this problem is minimized by the fact that the depenency is marked as
"provided".  I notices the problem why using eclipse.  Eclipse was trying to use the 1.1.1
version of the API even though I was working with the 1.1.5-SNAPSHOT .

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message